<p-table [value]="users">
    <ng-template pTemplate="header">
        <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Email</th>
            <th>Address</th>
            <th>Birthdate</th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-user>
        <tr >
            <td>{{user.id}}</td>
            <td >{{user.name}}</td>
            <td>{{user.email}}</td>
            <td>{{user.address}}</td>
            <td>{{user.birthdate | date}}</td>
            <td><button  type="button" class="btn btn-warning" (click)="onSelect(user)">Szerkeszt</button
                ></td>
        </tr>
         
        <div >
            <br>
                <h2>{{user.name}}</h2>
                    <div><span>ID: </span>{{user.id}}</div>

                  <div>
                    <label>Név:
                      <input [value]="user.name" (input)="user.name = $event.target.value" placeholder="name"/>
                    </label>
                    <label>Email:
                      <input [value]="user.email" (input)="user.email = $event.target.value" placeholder="email" type="email"/>
                    </label>
                     <label>Address:
                      <input [value]="user.address" (input)="user.address = $event.target.value" placeholder="address"/>
                    </label>
                     <label>Email:
                      <input [value]="user.birthdate" (input)="user.birthdate = $event.target.value" placeholder="birthdate" type="date"/>
                    </label>
              </div>
              <br>
          </div> 
    </ng-template>
</p-table> 
